<WebService
     class="ch.nevis.esauth.auth.adapter.wstrust.SecurityTokenService"
     name="SecurityTokenService-CheckToken"
     uri="/nevisauth/services/sts/check/"
     SSODomain="Auth_Realm_Certificate_STS">

   <Mapping
        from="xpath://OnBehalfOf/UsernameToken/Username/text()"
        to="isiwebuserid" scope="inargs" />
      <Mapping
        from="xpath://OnBehalfOf/UsernameToken/Password/text()"
        to="isiwebpasswd" scope="inargs" />

   <Method name="authenticate" />

   <property name="token:secToken" value="${response.signedTokenAsString}" />
   <property name="secToken.binary" value="true" />
</WebService>